summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2016-01-16 17:45:57 +0000
committerPádraig Brady <P@draigBrady.com>2016-01-16 17:45:57 +0000
commit1204da74e3424878f31725b2e4552a1748f82da3 (patch)
treea2db0fe5b2ddab35cbc228a6c925166f293973bb /tests
parentb304e4ece859b9a0e3cdbd4753d9131af7816a18 (diff)
downloadcoreutils-1204da74e3424878f31725b2e4552a1748f82da3.tar.xz
tests: fix false failure with spaces in absolute $PWD
* tests/install/create-leading.sh: Ensure $PWD is quoted. Reported by `make dist-check`.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/install/create-leading.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/install/create-leading.sh b/tests/install/create-leading.sh
index 62f74f53f..4b8e4b4b7 100755
--- a/tests/install/create-leading.sh
+++ b/tests/install/create-leading.sh
@@ -36,7 +36,7 @@ test -r no-dir1/no-dir2/dest || fail=1
# due to incorrectly modified working directory
mkdir dir1 || framework_failure_
touch dir1/file1 || framework_failure_
-ginstall -D $PWD/dir1/file1 $file -t $PWD/no-dir2/ || fail=1
+ginstall -D "$PWD/dir1/file1" $file -t "$PWD/no-dir2/" || fail=1
test -r no-dir2/$file && test -r no-dir2/file1 || fail=1
Exit $fail